.signup {
  text-align: center;
  padding-top: 50px;

  &__form {
    position: relative;
  }

  .MuiCircularProgress-root {
    position: absolute;
    bottom: -60px;
    left: 50%;
  }

  &__field {
    margin-bottom: 40px;
    position: relative;
  }

  &__label {
    display: block;
  }

  &__input {
    border: 1px solid var(--input-border-color);
    border-radius: 5px;
    height: 40px;
    width: 50%;
    padding: 10px;

    &:focus {
      border-color: var(--input-focus-border-color);
    }

    &--error {
      border-color: var(--error-color);;
    }
  }

  &__error-message {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    color: var(--error-color);
  }

  &__submit {
    width: 200px;
    padding: 10px;
    color: var(--button-color);
    font-size: 16px;
    background-color: var(--button-background-color);
    transition: all 0.3s;

    &:hover {
      background-color: var(--button-hover-background-color);
    }
  }

  &__popup {
    position: relative;
  }

  &__popup-close {
    position: absolute;
    right: 0;
    top: -30px;
    background-color: transparent;
    padding: 10px;
  }
}
